commit:     da3a2cdfeea4a35dd95c67ee9e9add2f4f88223e
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 12 20:15:11 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Sep 12 20:15:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da3a2cdf

net-misc/youtube-dl: Version bump.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 net-misc/youtube-dl/Manifest                     |  1 +
 net-misc/youtube-dl/youtube-dl-2017.09.11.ebuild | 98 ++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/net-misc/youtube-dl/Manifest b/net-misc/youtube-dl/Manifest
index 4fab5758931..8fb7031d33a 100644
--- a/net-misc/youtube-dl/Manifest
+++ b/net-misc/youtube-dl/Manifest
@@ -1,3 +1,4 @@
 DIST youtube-dl-2017.03.16.tar.gz 2631620 SHA256 
55df3cbda9cf86e49baf54040340ec74c692bb3d6da3d2f5a1bc1238017dd492 SHA512 
f3b8942f6b2be3b1cfd4bddfb74c17bad48c8ef4bea34114970ecb9d65b5a3dcbe71beba6d7c2dbda168371bbb2e8bbaddce58039bd9d158bf23950a2a88123c
 WHIRLPOOL 
8345da00074e62ec9a9c244cb9ef64930fbd0e5e9e5bc1709bfcf56517cc6312031a09523c3016db2a1542c16a0297bea9d6883a201ae94e347e358307e92422
 DIST youtube-dl-2017.08.27.1.tar.gz 2784682 SHA256 
32d823b8aa1714c40e20f920e481be48d7458d657e66d118a0467a351d680aac SHA512 
4cbe2c2b917b59ccb5a171a171c69d5bdd915a56a4ca2d4bf67a04c7425b2d4849403a78d954cd0aa8401f8f4b61e4ebe96160aba2a9d2f3da1eae026739e9ba
 WHIRLPOOL 
c99cde85126741845a1e45873f8d79362775b4066a9736b563d15993d88c5b9201c9cb2239b8db85a8e18a91f7118906bd0ad5cd93e98a8538d7f796df0fb675
 DIST youtube-dl-2017.09.02.tar.gz 2786324 SHA256 
699a7ca22243e6a11a3e3a2b4f933c1ec0799d205a58c1eb5b139ee53252d9e9 SHA512 
ba97b192c027ff02c5cf38b4913dca2b94a4527f5cd8a80d18cf94f5b07b7824f8414d9681cd92abf260d5145c84ad95cc954ad78f36a6391f2929f37cce260a
 WHIRLPOOL 
d4a99d509f7535572fed3493af47493ac1d027f062e8acb93e7f6e6de6a26892531b108e3ad0824559f0c31fde54a3b4f618003f5075377b87d5357ca35f2d2c
+DIST youtube-dl-2017.09.11.tar.gz 2793332 SHA256 
8b6defdd7cb9a8228eca2ef03a8c203a3ccba1ed97cb700f11b40a3af548212a SHA512 
b38a06694c8a03d3ad83f46d6753128a69226e01f63bb9119005710bfd2bedf999a530bfd4c3d5a60026dff5033ea7508079b9bf3835013a487afaab403e9d38
 WHIRLPOOL 
48a526f043e7a440696a07339cae6ddfd4a11757fae9e48768a6118c78c8051bf5b0ee1c23ea32e6dff04484ed4b7aa6832dbd52353ef83f2a07bc35b068aff8

diff --git a/net-misc/youtube-dl/youtube-dl-2017.09.11.ebuild 
b/net-misc/youtube-dl/youtube-dl-2017.09.11.ebuild
new file mode 100644
index 00000000000..fa2e8cbf808
--- /dev/null
+++ b/net-misc/youtube-dl/youtube-dl-2017.09.11.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Download videos from YouTube.com (and more sites...)"
+HOMEPAGE="https://rg3.github.com/youtube-dl/";
+SRC_URI="http://youtube-dl.org/downloads/${PV}/${P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~arm-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="+offensive test"
+
+RDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-python/nose[coverage(+)] )
+"
+
+S="${WORKDIR}/${PN}"
+
+python_prepare_all() {
+       if ! use offensive; then
+               sed -i -e "/..version../s|'$|+gentoo.no.offensive.sites'|g" \
+                       youtube_dl/version.py || die
+               # these have single line import statements
+               local xxx=(
+                       alphaporno anysex behindkink camwithher chaturbate 
eporner
+                       eroprofile extremetube foxgay goshgay hellporno 
hentaistigma
+                       hornbunny keezmovies lovehomeporn mofosex motherless 
myvidster
+                       porn91 porncom pornflip pornhd pornotube pornovoisines 
pornoxo
+                       ruleporn sexu slutload spankbang spankwire sunporno 
thisav tube8
+                       vporn watchindianporn xbef xnxx xtube xvideos 
xxxymovies youjizz
+                       youporn
+               )
+               # these have multi-line import statements
+               local mxxx=(
+                       drtuber fourtube pornhub redtube tnaflix xhamster
+               )
+               # do single line imports
+               sed -i \
+                       -e $( printf '/%s/d;' ${xxx[@]} ) \
+                       youtube_dl/extractor/extractors.py \
+                       || die
+
+               # do multiple line imports
+               sed -i \
+                       -e $( printf '/%s/,/)/d;' ${mxxx[@]} ) \
+                       youtube_dl/extractor/extractors.py \
+                       || die
+
+               sed -i \
+                       -e $( printf '/%s/d;' ${mxxx[@]} ) \
+                       youtube_dl/extractor/generic.py \
+                       || die
+
+               rm \
+                       $( printf 'youtube_dl/extractor/%s.py ' ${xxx[@]} ) \
+                       $( printf 'youtube_dl/extractor/%s.py ' ${mxxx[@]} ) \
+                       test/test_age_restriction.py \
+                       || die
+       fi
+
+       eapply_user
+
+       distutils-r1_python_prepare_all
+}
+
+src_compile() {
+       distutils-r1_src_compile
+}
+
+python_test() {
+       emake test
+}
+
+python_install_all() {
+       dodoc README.txt
+       doman ${PN}.1
+
+       newbashcomp ${PN}.bash-completion ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       newins youtube-dl.zsh _youtube-dl
+
+       insinto /usr/share/fish/completions
+       doins youtube-dl.fish
+
+       distutils-r1_python_install_all
+
+       rm -r "${ED}"/usr/etc || die
+}

Reply via email to